import { TaonBaseController, Taon__NS__Response, Taon__NS__ResponseHtml } from 'taon/lib-prod';
import { BaseCliWorkerConfig } from './base-cli-worker-config';
export declare abstract class TaonBaseCliWorkerController<UPLOAD_FILE_QUERY_PARAMS = {}> extends TaonBaseController<UPLOAD_FILE_QUERY_PARAMS> {
    /**
     * service id
     */
    private cliWorkerServiceId;
    private cliWorkerServiceVersion;
    baseCLiWorkerCommand_initializeMetadata(serviceId: string, serviceVersion: string): Taon__NS__Response<void>;
    baseCLiWorkerCommand_kill(reason: string): Taon__NS__Response<void>;
    info(): Taon__NS__ResponseHtml;
    baseCLiWorkerCommand_isHealthy(checkingProcessConfig: BaseCliWorkerConfig): Taon__NS__Response<boolean>;
    baseCLiWorkerCommand_hasUpToDateVersion(checkingProcessConfig: BaseCliWorkerConfig): Taon__NS__Response<boolean>;
}
